from fastapi import status


class ErrorCode:
    """错误码常量定义"""

    # 通用错误
    UNKNOWN_ERROR = 10000
    VALIDATION_ERROR = 10001
    DATABASE_ERROR = 10002
    NETWORK_ERROR = 10003
    PERMISSION_DENIED = 10004
    RESOURCE_NOT_FOUND = 10005
    INVALID_OPERATION = 10006

    # 认证相关
    AUTH_REQUIRED = 20001
    INVALID_TOKEN = 20002
    EXPIRED_TOKEN = 20003
    INVALID_CREDENTIALS = 20004

    # 业务相关
    QUESTION_NOT_FOUND = 30001
    EXAM_NOT_FOUND = 30002
    USER_NOT_FOUND = 30003
    INVALID_QUESTION_TYPE = 30004
    INVALID_EXAM_STATUS = 30005

    # 系统相关
    CONFIG_ERROR = 40001
    SERVICE_UNAVAILABLE = 40002
    RATE_LIMIT_EXCEEDED = 40003
