from typing import Any
from fastapi import status
from .api_exception import APIException
from ..common.constants import ErrorCode


class BusinessException(APIException):
    """业务异常类"""

    def __init__(self,
                 code: int = ErrorCode.INVALID_OPERATION,
                 message: str = "Business Error",
                 detail: Any = None,
                 http_status: int = status.HTTP_422_UNPROCESSABLE_ENTITY):
        super().__init__(code=code,
                         message=message,
                         detail=detail,
                         http_status=http_status)
