from sqlalchemy import Column, String, Boolean, Integer
from .base_model import BaseModel


class DictTypeModel(BaseModel):
    """字典类型模型"""
    type_name = Column(String(50), nullable=False, comment="字典类型名称")
    type_code = Column(String(50),
                       unique=True,
                       nullable=False,
                       comment="字典类型代码")
    description = Column(String(255), nullable=True, comment="描述")
    is_system = Column(Boolean,
                       default=False,
                       nullable=False,
                       comment="是否系统内置")
    status = Column(Boolean, default=True, nullable=False, comment="状态（启用/禁用）")

    def __repr__(self) -> str:
        return f"<DictTypeModel(id={self.id}, type_name='{self.type_name}')>"
