from ..models.base_model import BaseModel, CreateModel
from ..database import db
from sqlalchemy import JSON


class ExamRecord(CreateModel):
    __tablename__ = 'exam_records'

    id = db.Column(db.Integer, primary_key=True)
    user_id = db.Column(db.Integer, db.ForeignKey('users.id'), nullable=False)
    exam_paper_id = db.Column(db.Integer,
                              db.ForeignKey('exam_papers.id'),
                              nullable=False)
    start_time = db.Column(db.DateTime, nullable=False)
    end_time = db.Column(db.DateTime)
    score = db.Column(db.Float)
    status = db.Column(db.String(20),
                       default='in_progress')  # in_progress/completed
    answers = db.Column(JSON)  # 存储用户答案
    analysis = db.Column(JSON)  # 考试分析数据

    # 关系定义
    user = db.relationship('User', foreign_keys=[user_id])
    exam_paper = db.relationship('ExamPaper', foreign_keys=[exam_paper_id])

    def __repr__(self):
        return f'<ExamRecord {self.id}: User {self.user_id} - Paper {self.exam_paper_id}>'
