from ..models.base_model import BaseModel
from ..database import db


class QuestionFeedback(BaseModel):
    __tablename__ = 'question_feedbacks'

    id = db.Column(db.Integer, primary_key=True)
    question_id = db.Column(db.Integer,
                            db.ForeignKey('questions.id'),
                            nullable=False)
    user_id = db.Column(db.Integer, db.ForeignKey('users.id'), nullable=False)
    content = db.Column(db.Text, nullable=False)
    rating = db.Column(db.Integer)
    create_time = db.Column(db.DateTime, default=db.func.now())

    def __repr__(self):
        return f'<QuestionFeedback {self.id}: {self.content[:50]}...>'
