from ..models.auth_models import Token
from ..database import get_db


class AuthStore:

    def __init__(self):
        self.db = get_db()

    def create_token(self, token_data: dict) -> Token:
        """创建新token"""
        token = Token(**token_data)
        self.db.add(token)
        self.db.commit()
        self.db.refresh(token)
        return token

    def get_token_by_access_token(self, access_token: str) -> Token:
        """根据access_token获取token"""
        return self.db.query(Token).filter(
            Token.access_token == access_token).first()

    def delete_token(self, token_id: int) -> bool:
        """删除token"""
        token = self.db.query(Token).filter(Token.id == token_id).first()
        if token:
            self.db.delete(token)
            self.db.commit()
            return True
        return False
